<?php
session_start();
error_reporting(0);

date_default_timezone_set('america/mexico_city');
include "../js/conectpoo.php";

switch($_GET['op']){

case '3':{ 
$iduser = $_GET['iduser'];
$tablereg = $_GET['tablereg'];
$objeto= new db();
$datosbanner=$objeto->delete($tablereg, $iduser);
$contenido=<<<content
    $datosbanner
content;
}
break;

        
case '12':{
$gasto=$_GET['gasto'];
$kuery ="SELECT * FROM `gastos` WHERE  `tipo_de_gasto` ='$gasto'";
$objeto= new db();
$datosbanner=$objeto->consultaregistros($kuery);
    for($x=0;$x<count($datosbanner);$x++){
		$id_gastos =  $datosbanner[$x]['id_gastos'];
		$id_usuario =  $datosbanner[$x]['id_usuario'];
		$nombre =  $datosbanner[$x]['nombre'];
		$tipo_de_gasto =  $datosbanner[$x]['tipo_de_gasto'];
		$comentario =  $datosbanner[$x]['comentario'];
		$fecha =  $datosbanner[$x]['fecha'];

		$resp.=<<<jjj
$id_gastos * $nombre ~
jjj;
	}
$resp = substr($resp, 0, -2);
$contenido = $resp;
}break;

        
case '44':{
$cliente=$_GET['cliente'];

$kuery ="SELECT * FROM `proyectos` WHERE `id_cliente` = $cliente";
$objeto= new db();
$datosbanner=$objeto->consultaregistros($kuery);
    for($x=0;$x<count($datosbanner);$x++){
		$id_proyectos =  $datosbanner[$x]['id_proyectos'];
		$id_cliente =  $datosbanner[$x]['id_cliente'];
		$nombre =  $datosbanner[$x]['nombre'];
		$fecha =  $datosbanner[$x]['fecha'];

		$resp.=<<<jjj
$id_proyectos * $nombre -
jjj;
	}
$resp = substr($resp, 0, -2);
$contenido = $resp;
}break;

        
case '56':{
$proy=$_GET['proy'];
$idCC=$_GET['idCC'];

if($idCC ==""){
    $kuery ="SELECT * FROM `proyectos` WHERE `id_proyectos` = $proy";
    $objeto2= new db();
    $datosbanner=$objeto2->consultaregistros($kuery);
        for($x=0;$x<count($datosbanner);$x++){
            $id_proyectos =  $datosbanner[$x]['id_proyectos'];
            $nombre =  $datosbanner[$x]['nombre'];
            $m2 =  $datosbanner[$x]['m2'];
            $id_cliente =  $datosbanner[$x]['id_cliente'];
            $idlineadenegocio =  $datosbanner[$x]['idlineadenegocio'];
            $idtipologia =  $datosbanner[$x]['idtipologia'];
            $cc =  $datosbanner[$x]['cc'];
            $resp.=<<<jjj
$id_proyectos * $nombre * $m2 * $id_cliente * $idlineadenegocio * $idtipologia * $cc -
jjj;
    }
$resp = substr($resp, 0, -2);

}else{
$resp = "";    
}

$contenido = $resp;
}break;
        

case '79':{
$id_usuario = $_GET['id_usuario'];
$objeto = new db();
$kuery = "SELECT usuarios.id_usuarios,usuarios.nombre,usuarios.apellidos,puestos.puesto AS puesto FROM `usuarios` INNER JOIN puestos ON usuarios.Puesto=puestos.id_puestos WHERE usuarios.id_usuarios=$id_usuario";
$resultado = $objeto -> consultaregistros($kuery);
   
$id_usuarios = $resultado[0]["id_usuarios"];
$nombre = $resultado[0]["nombre"];
$apellidos = $resultado[0]["apellidos"];
$puestos = $resultado[0]["puesto"];

$resp.=<<<jjj
Puesto: $puestos 
jjj;

$contenido = $resp;
}break;


case '80':{
$id_proveedor = $_GET['id_proveedor'];
$objeto = new db();
$kuery = "SELECT tipo_proveedor.nombre,tipo_proveedorrelacion.especialista FROM `tipo_proveedorrelacion` INNER JOIN tipo_proveedor ON tipo_proveedorrelacion.tipo_proveedor=tipo_proveedor.id_tipo_proveedor WHERE id_proveedores=$id_proveedor";
$resultado = $objeto -> consultaregistros($kuery);
   
$nombre = $resultado[0]["nombre"];
$tipo = $resultado[0]["especialista"];

$resp.=<<<jjj
$nombre * $tipo 
jjj;

$contenido = $resp;
}break;


case '81':{
$id_gasto = $_GET['idgasto'];
$objeto = new db();
$kuery = "SELECT gastos.id_gastos,gastos.nombre,gastos.tipo_de_gasto FROM `gastos` WHERE gastos.id_gastos=$id_gasto";
$resultado = $objeto -> consultaregistros($kuery);
   
$id_gastos = $resultado[0]["id_gastos"];   
$nombre = $resultado[0]["nombre"];
$tipo = $resultado[0]["tipo_de_gasto"];

$resp.=<<<jjj
$nombre * $tipo 
jjj;

$contenido = $resp;
}break;


case '82':{
$tabla = $_GET['tabla'];
$sArray = $_GET['sArray'];
$objeto= new db();
$valores="''"; 
for($x=1; $x<count($sArray); $x++){
    $valores = $valores.",'".$sArray[$x]."'";
}

$resultado=$objeto->insertGen($valores, $tabla);

$contenido=$resultado; 
}break;


case '83':{
$tipoEgreso=$_GET['tipo'];

if($tipoEgreso=="Directos"){
    $kuery = "SELECT egreso.fecha_real,cc.nombre,egreso.clasificacionegreso,gastos.nombre AS gasto,egreso.subconcepto,egreso.num_fac,cuentas.nombre AS cuenta,egreso.comentarios,egreso.monto_real,egreso.id_egreso,egreso.fecha,egreso.tdegasto,(SELECT clientes.Razon_social FROM clientes WHERE clientes.id_clientes=cc.id_cliente) AS Razon_social,(SELECT tipo_proveedor.nombre FROM tipo_proveedor WHERE tipo_proveedor.id_tipo_proveedor=tipo_prov) AS tipo_prove,egreso.comprobable FROM `egreso` INNER JOIN cc ON egreso.id_cc=cc.id_cc INNER JOIN gastos ON egreso.concepto=gastos.id_gastos INNER JOIN cuentas ON egreso.id_cuentas=cuentas.id_cuentas WHERE clasificacionegreso LIKE 'Directo%' ORDER BY fecha_real DESC";
    
}else if($tipoEgreso=="Indirectos"){
    $kuery="SELECT egreso.fecha_real,'N/A' AS nombre,egreso.clasificacionegreso,gastos.nombre AS gasto,egreso.subconcepto,egreso.num_fac,cuentas.nombre AS cuenta,egreso.comentarios,egreso.monto_real,egreso.id_egreso,egreso.fecha,egreso.tdegasto,'N/A' AS Razon_social,(SELECT tipo_proveedor.nombre FROM tipo_proveedor WHERE tipo_proveedor.id_tipo_proveedor=tipo_prov) AS tipo_prove,egreso.comprobable FROM `egreso` INNER JOIN gastos ON egreso.concepto=gastos.id_gastos INNER JOIN cuentas ON egreso.id_cuentas=cuentas.id_cuentas WHERE clasificacionegreso LIKE 'Indirecto%' ORDER BY fecha_real DESC";
}else{
    $kuery="SELECT egreso.fecha_real, IF(egreso.clasificacionegreso like 'DIRECTO%', (select cc.nombre from cc where cc.id_cc=egreso.id_cc),'N/A') AS nombre, egreso.clasificacionegreso, (SELECT gastos.nombre FROM gastos WHERE egreso.concepto=gastos.id_gastos) AS gasto, egreso.subconcepto, egreso.num_fac, (SELECT cuentas.nombre FROM cuentas WHERE egreso.id_cuentas=cuentas.id_cuentas) AS cuenta, egreso.comentarios, egreso.monto_real, egreso.id_egreso, egreso.fecha, egreso.tdegasto, IF(egreso.clasificacionegreso like 'DIRECTO%', (select (SELECT clientes.Razon_social FROM clientes WHERE clientes.id_clientes=cc.id_cliente) from cc where cc.id_cc=egreso.id_cc),'N/A') AS Razon_social, (SELECT tipo_proveedor.nombre FROM tipo_proveedor WHERE tipo_proveedor.id_tipo_proveedor=tipo_prov) AS tipo_prove,egreso.comprobable FROM `egreso` ORDER BY `egreso`.`fecha_real` DESC";
}

    
$objeto= new db();
$resultado = $objeto->consultaregistros($kuery);

    
for($x=0; $x < count($resultado); $x++){
    $fecha_real =  $resultado[$x]['fecha_real'];
    $cc =  $resultado[$x]['nombre'];
    $clasificacionegreso =  $resultado[$x]['clasificacionegreso'];
    $gasto =  $resultado[$x]['gasto'];
    $subconcepto =  $resultado[$x]['subconcepto'];
    $num_fac =  $resultado[$x]['num_fac'];
    $cuenta =  $resultado[$x]['cuenta'];
    $comentarios =  $resultado[$x]['comentarios'];
    $monto_real = $resultado[$x]['monto_real'];
    $id_egreso = $resultado[$x]['id_egreso'];
    $fecha = $resultado[$x]['fecha'];
    $tdegasto = $resultado[$x]['tdegasto'];
    $Razon_social = $resultado[$x]['Razon_social'];
    $tipo_prove = $resultado[$x]['tipo_prove'];
    $comprobable = $resultado[$x]['comprobable'];

    $resp.=<<<jjj
        $clasificacionegreso * $Razon_social * $cc * $tdegasto * $gasto * $subconcepto * $tipo_prove * $cuenta * $comprobable * $num_fac * $comentarios * $monto_real * $fecha * $id_egreso * $fecha_real _
jjj;
}
    
$contenido = $resp;    
}break;


case '84':{
$sArray=$_GET['sArray'];
$filtros = '';
    
    if($sArray[0]>0 && $sArray[1]==0 && $sArray[2]==0){
        $filtros = " clientes.id_clientes='".$sArray[0]."' ";
        
    } else if($sArray[0]>0 && $sArray[1]>0 && $sArray[2]==0){
        $filtros = " proyectos.id_proyectos='".$sArray[1]."' ";
        
    } else if($sArray[0]>0 && $sArray[1]==0 && $sArray[2]>0){
        $filtros = " clientes.id_clientes='".$sArray[0]."' AND proyectos.idlineadenegocio='".$sArray[2]."' ";
    
    }else if($sArray[0]==0 && $sArray[1]==0 && $sArray[2]>0){
        $filtros = " proyectos.idlineadenegocio='".$sArray[2]."' ";
    }
    
$kuery = "SELECT egreso.fecha_real,cc.nombre,egreso.clasificacionegreso,gastos.nombre AS gasto,egreso.subconcepto,egreso.num_fac,cuentas.nombre AS cuenta,egreso.comentarios,egreso.monto_real,egreso.id_egreso,egreso.fecha,egreso.tdegasto,clientes.Razon_social,(SELECT tipo_proveedor.nombre FROM tipo_proveedor WHERE tipo_proveedor.id_tipo_proveedor=tipo_prov) AS tipo_prove,egreso.comprobable FROM `egreso` INNER JOIN cc ON egreso.id_cc=cc.id_cc INNER JOIN gastos ON egreso.concepto=gastos.id_gastos INNER JOIN cuentas ON egreso.id_cuentas=cuentas.id_cuentas INNER JOIN proyectos ON egreso.id_cc=proyectos.cc INNER JOIN clientes ON proyectos.id_cliente=clientes.id_clientes WHERE $filtros ORDER BY fecha_real DESC";

$objeto= new db();
$resultado = $objeto->consultaregistros($kuery);

    
for($x=0; $x < count($resultado); $x++){
    $fecha_real =  $resultado[$x]['fecha_real'];
    $cc =  $resultado[$x]['nombre'];
    $clasificacionegreso =  $resultado[$x]['clasificacionegreso'];
    $gasto =  $resultado[$x]['gasto'];
    $subconcepto =  $resultado[$x]['subconcepto'];
    $num_fac =  $resultado[$x]['num_fac'];
    $cuenta =  $resultado[$x]['cuenta'];
    $comentarios =  $resultado[$x]['comentarios'];
    $monto_real = $resultado[$x]['monto_real'];
    $id_egreso = $resultado[$x]['id_egreso'];
    $fecha = $resultado[$x]['fecha'];
    $tdegasto = $resultado[$x]['tdegasto'];
    $Razon_social = $resultado[$x]['Razon_social'];
    $tipo_prove = $resultado[$x]['tipo_prove'];
    $comprobable = $resultado[$x]['comprobable'];

    $resp.=<<<jjj
        $clasificacionegreso * $Razon_social * $cc * $tdegasto * $gasto * $subconcepto * $tipo_prove * $cuenta * $comprobable * $num_fac * $comentarios * $monto_real * $fecha * $id_egreso * $fecha_real _

jjj;
}

$contenido = $resp;    
}break;  

        
case '85':{
$id_egreso=$_GET['idegreso'];
$fecha=$_GET['fecha'];
$monto=$_GET['monto'];
$objeto= new db();
$kuery = "SELECT comprobable FROM `egreso` where id_egreso=$id_egreso";
$resultado = $objeto -> consultaregistros($kuery);
   
$comprobable = $resultado[0]["comprobable"]; 

if($comprobable == 'SI'){
    $subtotal = $monto / 1.16;
    $iva = $monto - $subtotal;
    $resultado=$objeto->updateGen('egreso', 'subtotal_real', number_format((float)$subtotal, 2, '.', ''), 'id_egreso', $id_egreso);
    $resultado=$objeto->updateGen('egreso', 'impuesto_real', number_format((float)$iva, 2, '.', ''), 'id_egreso', $id_egreso);
} else{
    $resultado=$objeto->updateGen('egreso', 'subtotal_real', number_format((float)$monto, 2, '.', ''), 'id_egreso', $id_egreso);
}


$resultado=$objeto->updateGen('egreso', 'fecha', $fecha, 'id_egreso', $id_egreso);
$resultado=$objeto->updateGen('egreso', 'monto_real', number_format((float)$monto, 2, '.', ''), 'id_egreso', $id_egreso);

$contenido=$resultado;    
}break;


case '86':{
$tipoEgreso=$_GET['tipo'];

if($tipoEgreso=="Directos"){
    $kuery = "SELECT egreso.fecha_real,cc.nombre,egreso.clasificacionegreso,gastos.nombre AS gasto,egreso.subconcepto,egreso.num_fac,cuentas.nombre AS cuenta,egreso.comentarios,egreso.monto_real,egreso.id_egreso,egreso.fecha,egreso.tdegasto, 'N/A' AS Razon_social,(SELECT tipo_proveedor.nombre FROM tipo_proveedor WHERE tipo_proveedor.id_tipo_proveedor=tipo_prov) AS tipo_prove,egreso.comprobable FROM `egreso` INNER JOIN cc ON egreso.id_cc=cc.id_cc INNER JOIN gastos ON egreso.concepto=gastos.id_gastos INNER JOIN cuentas ON egreso.id_cuentas=cuentas.id_cuentas WHERE (SELECT cc.id_cliente FROM cc WHERE cc.id_cc=egreso.id_cc)=0 AND clasificacionegreso LIKE 'Directo%' ORDER BY fecha_real DESC";
    
}else if($tipoEgreso=="Indirectos"){
    $kuery="SELECT egreso.fecha_real,cc.nombre,egreso.clasificacionegreso,gastos.nombre AS gasto,egreso.subconcepto,egreso.num_fac,cuentas.nombre AS cuenta,egreso.comentarios,egreso.monto_real,egreso.id_egreso,egreso.fecha,egreso.tdegasto, 'N/A' AS Razon_social,(SELECT tipo_proveedor.nombre FROM tipo_proveedor WHERE tipo_proveedor.id_tipo_proveedor=tipo_prov) AS tipo_prove,egreso.comprobable FROM `egreso` INNER JOIN cc ON egreso.id_cc=cc.id_cc INNER JOIN gastos ON egreso.concepto=gastos.id_gastos INNER JOIN cuentas ON egreso.id_cuentas=cuentas.id_cuentas WHERE (SELECT cc.id_cliente FROM cc WHERE cc.id_cc=egreso.id_cc)=0 AND clasificacionegreso LIKE 'Indirecto%' ORDER BY fecha_real DESC";
}else{
    $kuery="SELECT egreso.fecha_real,cc.nombre,egreso.clasificacionegreso,gastos.nombre AS gasto,egreso.subconcepto,egreso.num_fac,cuentas.nombre AS cuenta,egreso.comentarios,egreso.monto_real,egreso.id_egreso,egreso.fecha,egreso.tdegasto, 'N/A' AS Razon_social,(SELECT tipo_proveedor.nombre FROM tipo_proveedor WHERE tipo_proveedor.id_tipo_proveedor=tipo_prov) AS tipo_prove,egreso.comprobable FROM `egreso` INNER JOIN cc ON egreso.id_cc=cc.id_cc INNER JOIN gastos ON egreso.concepto=gastos.id_gastos INNER JOIN cuentas ON egreso.id_cuentas=cuentas.id_cuentas WHERE (SELECT cc.id_cliente FROM cc WHERE cc.id_cc=egreso.id_cc)=0 ORDER BY fecha_real DESC";
}

    
$objeto= new db();
$resultado = $objeto->consultaregistros($kuery);

    
for($x=0; $x < count($resultado); $x++){
    $fecha_real =  $resultado[$x]['fecha_real'];
    $cc =  $resultado[$x]['nombre'];
    $clasificacionegreso =  $resultado[$x]['clasificacionegreso'];
    $gasto =  $resultado[$x]['gasto'];
    $subconcepto =  $resultado[$x]['subconcepto'];
    $num_fac =  $resultado[$x]['num_fac'];
    $cuenta =  $resultado[$x]['cuenta'];
    $comentarios =  $resultado[$x]['comentarios'];
    $monto_real = $resultado[$x]['monto_real'];
    $id_egreso = $resultado[$x]['id_egreso'];
    $fecha = $resultado[$x]['fecha'];
    $tdegasto = $resultado[$x]['tdegasto'];
    $Razon_social = $resultado[$x]['Razon_social'];
    $tipo_prove = $resultado[$x]['tipo_prove'];
    $comprobable = $resultado[$x]['comprobable'];

    $resp.=<<<jjj
        $clasificacionegreso * $Razon_social * $cc * $tdegasto * $gasto * $subconcepto * $tipo_prove * $cuenta * $comprobable * $num_fac * $comentarios * $monto_real * $fecha * $id_egreso * $fecha_real _
jjj;
}
    
$contenido = $resp;    
}break;


case '87':{
$sArray=$_GET['sArray'];
$tipoEgreso=$_GET['tipo'];
$filtros = '';
$filtros2 = '';
    
    if($sArray[1]>0 && $sArray[2]==''){
        $filtros = " AND egreso.id_cc='".$sArray[1]."' ";
        
    }else if($sArray[1]=='' && $sArray[2]>0){
        $filtros = "  AND cc.id_lnegocio='".$sArray[2]."' ";
    }
    
    if($tipoEgreso=="Directos"){
        $filtros2 = " AND clasificacionegreso LIKE 'Directo%' ";    
    } else if($tipoEgreso=="Indirectos"){
        $filtros2 = " AND clasificacionegreso LIKE 'Indirecto%' ";    
    }


$kuery = "SELECT egreso.fecha_real,cc.nombre,egreso.clasificacionegreso,gastos.nombre AS gasto,egreso.subconcepto,egreso.num_fac,cuentas.nombre AS cuenta,egreso.comentarios,egreso.monto_real,egreso.id_egreso,egreso.fecha,egreso.tdegasto,'N/A',(SELECT tipo_proveedor.nombre FROM tipo_proveedor WHERE tipo_proveedor.id_tipo_proveedor=tipo_prov) AS tipo_prove,egreso.comprobable FROM `egreso` INNER JOIN cc ON egreso.id_cc=cc.id_cc INNER JOIN gastos ON egreso.concepto=gastos.id_gastos INNER JOIN cuentas ON egreso.id_cuentas=cuentas.id_cuentas WHERE (SELECT cc.id_cliente FROM cc WHERE cc.id_cc=egreso.id_cc)=0 $filtros $filtros2 ORDER BY fecha_real DESC";

$objeto= new db();
$resultado = $objeto->consultaregistros($kuery);

    
for($x=0; $x < count($resultado); $x++){
    $fecha_real =  $resultado[$x]['fecha_real'];
    $cc =  $resultado[$x]['nombre'];
    $clasificacionegreso =  $resultado[$x]['clasificacionegreso'];
    $gasto =  $resultado[$x]['gasto'];
    $subconcepto =  $resultado[$x]['subconcepto'];
    $num_fac =  $resultado[$x]['num_fac'];
    $cuenta =  $resultado[$x]['cuenta'];
    $comentarios =  $resultado[$x]['comentarios'];
    $monto_real = $resultado[$x]['monto_real'];
    $id_egreso = $resultado[$x]['id_egreso'];
    $fecha = $resultado[$x]['fecha'];
    $tdegasto = $resultado[$x]['tdegasto'];
    $Razon_social = $resultado[$x]['Razon_social'];
    $tipo_prove = $resultado[$x]['tipo_prove'];
    $comprobable = $resultado[$x]['comprobable'];

    $resp.=<<<jjj
        $clasificacionegreso * $Razon_social * $cc * $tdegasto * $gasto * $subconcepto * $tipo_prove * $cuenta * $comprobable * $num_fac * $comentarios * $monto_real * $fecha * $id_egreso * $fecha_real _

jjj;
}

$contenido = $resp;    
}break;

        
}

echo $contenido;


?>
